function [ idx_mat, center ] = Func_kmeans_aux( X, k, initial_center)
%FUNCTION: K-means using initial center, return an indicator matrix and a center matrix
n=size(X, 1);
if nargin==3
    [idx,center] = kmeans(X, k, 'Start', initial_center);
elseif nargin==2
    [idx,center] = kmeans(X, k);
end
idx_mat=full(sparse(1:n, idx, ones(n, 1))); 
end

